# classes/phing/tasks/ext/jsmin/JsMin.php

jsmin.php - PHP implementation of Douglas Crockford's JSMin.

This is pretty much a direct port of jsmin.c to PHP with just a few PHP-specific performance tweaks. Also, whereas jsmin.c reads from stdin and outputs to stdout, this library accepts a string as input and returns another string as output.

PHP 5 or higher is required.

Permission is hereby granted to use this version of the library under the same terms as jsmin.c, which has the following license:

-- Copyright (c) 2002 Douglas Crockford (www.crockford.com)

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

The Software shall be used for Good, not Evil.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE

## SOFTWARE.

author
  Ryan Grove
copyright
  2002 Douglas Crockford <douglas@crockford.com> (jsmin.c)
copyright
  2008 Ryan Grove <ryan@wonko.com> (PHP port)
license
  MIT License
link
  http://code.google.com/p/jsmin-php/
package
  JSMin
version
  1.1.1 (2008-03-02)

## \JSMin
jump to top

jsmin.php - PHP implementation of Douglas Crockford's JSMin.

This is pretty much a direct port of jsmin.c to PHP with just a few PHP-specific performance tweaks. Also, whereas jsmin.c reads from stdin and outputs to stdout, this library accepts a string as input and returns another string as output.

PHP 5 or higher is required.

Permission is hereby granted to use this version of the library under the same terms as jsmin.c, which has the following license:

-- Copyright (c) 2002 Douglas Crockford (www.crockford.com)

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

The Software shall be used for Good, not Evil.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE

## SOFTWARE.

author
  Ryan Grove
copyright
  2002 Douglas Crockford <douglas@crockford.com> (jsmin.c)
copyright
  2008 Ryan Grove <ryan@wonko.com> (PHP port)
license
  MIT License
link
  http://code.google.com/p/jsmin-php/
package
  JSMin
version
  1.1.1 (2008-03-02)

### Constants

`ORD_LF = '10'`

`ORD_SPACE = '32'`

### Properties

`$a= ''`
Details

Type

`$b= ''`
Details

Type

`$input= ''`
Details

Type

`$inputIndex= '0'`
Default value `0` Details

Type

`$inputLength= '0'`
Default value `0` Details

Type

`$lookAhead= 'null'`
Default value `null` Details

Type

`$output= ''`
Details

Type

### Methods

`__construct( $input ) :`
Parameters

Name | Type | Description
--- | --- | ---
$input |  |

`action( $d ) :`
Parameters

Name | Type | Description
--- | --- | ---
$d |  |

`get( ) :`
`isAlphaNum( $c ) :`
Parameters

Name | Type | Description
--- | --- | ---
$c |  |

`min( ) :`
`minify( $js ) :`
static
Parameters

Name | Type | Description
--- | --- | ---
$js |  |

`next( ) :`
`peek( ) :`

## \JSMinException
jump to top

Extends from
  \Exception
package
  JSMin

### Methods

`__construct( ) :`
Inherited from:
`__toString( ) :`
Inherited from:
`getCode( ) :`
final Inherited from:
`getFile( ) :`
final Inherited from:
`getLine( ) :`
final Inherited from:
`getMessage( ) :`
final Inherited from:
`getPrevious( ) :`
final Inherited from:
`getTrace( ) :`
final Inherited from:
`getTraceAsString( ) :`
final Inherited from:
Documentation was generated by DocBlox 0.13.1.